Forced to upgrade to iOS4 on 3GS?

Discussion in 'iPhone' started by g8orballboy, Jun 28, 2010.

  1. g8orballboy macrumors regular

    Joined:
    Mar 25, 2010
    #1
    Hey, I was trying to restore my wife's iphone, but i don't want to upgrade to iOS4... Currently she is on 3.1.2, and i wouldn't mind being forced to go to 3.1.3, but i only see and upgrade and restore option that forces it to go to iOS4. Am I stuck or does anyone know the procedure to do a restore to either 3.1.2 or 3.1.3?

    Thanks in advance!
     
  2. aforty macrumors 65816

    aforty

    Joined:
    Nov 27, 2007
    Location:
    Brooklyn, NY
    #2
    Download the firmware you want from here: http://www.felixbruns.de/iPod/firmware/

    Then hold down Command (on a Mac, probably Ctrl on Windows) in iTunes while you click the "Restore" button. This will allow you to browse to the firmware file you just downloaded and restore that instead of downloading the latest iOS4.
     
  3. Benji222 macrumors 65816

    Benji222

    Joined:
    Dec 21, 2009
    Location:
    So Cal
  4. g8orballboy thread starter macrumors regular

    Joined:
    Mar 25, 2010
  5. themagicman00 macrumors member

    Joined:
    Jul 11, 2008
    #5
    If you are not sure what to do, please do not recommend procedures that won't work.
    Anyway, iTunes will not let you restore your phone except to 4.0 with this in mind, you must follow procedures to save your ssh blogs....go to iclarified and then tutorials, iphone, basics.
    Take care
     
  6. farmermac macrumors 6502a

    Joined:
    Jul 23, 2009
    Location:
    Iowa
    #6
    might want to think about jailbreaking, saving your SHSH on cydia first and adding saurik's server to your hosts file

    Apple wont allow the 3GS to install 3.1.2 through itunes
     
  7. JayLenochiniMac macrumors G5

    Joined:
    Nov 7, 2007
    Location:
    New Sanfrakota
    #7
    Right-click on your wife's iPhone in the sidebar (in iTunes) and you can select Backup, Restore from (the various different) backup, etc.
     
  8. aforty macrumors 65816

    aforty

    Joined:
    Nov 27, 2007
    Location:
    Brooklyn, NY
    #8
    He is clearly not on 4.0 right now which is why he asked how can he restore the phone while still keeping his existing version in tact. Please learn to read and comprehend.
     
  9. g8orballboy thread starter macrumors regular

    Joined:
    Mar 25, 2010
    #9

    What about 3.1.3? I find it hard to believe that apple makes older model phones update to the newest OS... especially since the 3G's are having a rough time handling iOS4... so if i own a 3G or 3GS, if i want to ever do a restore... I'm forced to upgrade to an OS not intended for my device? This doesn't seem right....
     
  10. JayLenochiniMac macrumors G5

    Joined:
    Nov 7, 2007
    Location:
    New Sanfrakota
    #10
    The iOS4 is intended for the 3GS. You need to right-click on your wife's iPhone in the sidebar if you want to restore from backup without having to upgrade to the newest OS.
     
  11. Interstella5555 macrumors 603

    Interstella5555

    Joined:
    Jun 30, 2008
    #11
    How are you being forced to update? Just ignore it.
     
  12. Lifesuxsbad macrumors regular

    Lifesuxsbad

    Joined:
    Jun 15, 2010
    #12
    3.1.3

    I tried to restore a friends 3GS the other day and put 3.1.3 on it...I of course downloaded the firmware from another site and did the shift restore deal. It kept giving me an error message....finally I read on a site that Apple is not signing older firmwares so I was forced to use 4.0 for his 3GS. I guess by signing they mean digitally signing the software? Who knows but after hours of trying to put 3.1.3 back on it (I have restored lots of iPhones and Jailbroken lots as well) it just would not let me install 3.1.3. He was happy with 4.0 but still made me mad!!
     
  13. SpaceKitty macrumors 68040

    SpaceKitty

    Joined:
    Nov 9, 2008
    Location:
    Fort Collins Colorado
    #13
    Unless the OP has his SHSH on Cydia then there is no choice but to install 4.0 on the 3GS. Apple is no longer signing 3.1.3 and below so 4.0 is the only choice.
     
  14. themagicman00 macrumors member

    Joined:
    Jul 11, 2008
    #14
    My man, obviously OP has no idea that in order to restore to a firmware other than the latest available by Apple/iTunes (4.0), he must have saved SSH from previous software to be able to restore, and even if he has his sshs saved, its not as simple as downloading previous firmware and pressing shift control enter...he will get the typical error and will not be able to restore except to 4.0
     
  15. xenuprime macrumors 6502

    Joined:
    Aug 1, 2008
    #15
    Does this apply to a 3g as well? I was told to do this (hold shift and chose the correct firmware) in order to restore and keep 3.1.3.
     
  16. mjp87 macrumors newbie

    Joined:
    Jun 28, 2010
    #16
    you can downgrade easy, just search on google or in the hacks version.

    the 3g you just need to get Recbot to get the phone out of recovery mode from the error messages.
    must put the phone into DFU mode first.
     
  17. SpaceKitty macrumors 68040

    SpaceKitty

    Joined:
    Nov 9, 2008
    Location:
    Fort Collins Colorado
    #17
    Unless his SHSH are in Cydia, there is no restoring to anything but 4.0.
     
  18. dissdnt macrumors 65816

    dissdnt

    Joined:
    Aug 3, 2007
    #18
    Why would you not upgrade, 4.0 is an A+ update and screams on a 3GS. I can understand 3G owners not wanting to.
     
  19. g8orballboy thread starter macrumors regular

    Joined:
    Mar 25, 2010
    #19
    Because I'm selling it on Craigslist and had a buyer, but i advertised it as jailbroken, though i hadn't done so yet... assuming i'd just use spirit on 3.1.3 like i did on my phone. Obviosly i don't want ot restore from backup because i'm trying to clear all my wife's data. Still... older phones (espcecially the 3G) should have the option to remain on the latest firmware for the OS designed for the phone (3.*.* in this case). I think its rediculous that they force phones to upgrade to the latest major release (minor ones i can understnad, since they usually cover up security holes and such...)
     

Share This Page